<?xml version="1.0" encoding="gb2312" ?>
<xs:schema targetNamespace="http://www.h3c.com/netconf/data:1.0"
                  elementFormDefault="qualified"
                  xmlns="http://www.h3c.com/netconf/data:1.0"
                  xmlns:base="http://www.h3c.com/netconf/base:1.0"
                  xmlns:xs="http://www.w3.org/2001/XMLSchema">
  <xs:import schemaLocation="basetype.xsd" namespace="http://www.h3c.com/netconf/base:1.0"></xs:import>
  
  <xs:element name="PBR">
    <xs:complexType>
      <xs:choice maxOccurs="unbounded">
      
        <xs:element name="PBRPolicyNode" minOccurs="0">
          <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="PolicyNode" minOccurs="0" maxOccurs="unbounded">
                <xs:complexType>
                  <xs:all>
                    <xs:element name="AddressType" minOccurs="0" nillable="true">
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:enumeration value="0"/>
                            <xs:enumeration value="1"/>     
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="PolicyName" minOccurs="0" nillable="true">
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:String">
                            <xs:minLength value="1"></xs:minLength>
                            <xs:maxLength value="19"></xs:maxLength>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="NodeID" minOccurs="0" nillable="true">
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:minInclusive value="0"></xs:minInclusive>
                            <xs:maxInclusive value="65535"></xs:maxInclusive>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>                    
                    </xs:element>
                    <xs:element name="Mode" minOccurs="0"  nillable="true">
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:enumeration value="1"/>
                            <xs:enumeration value="2"/>     
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="ACLNumber" minOccurs="0" nillable="true">
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:minInclusive value="2000"></xs:minInclusive>
                            <xs:maxInclusive value="3999"></xs:maxInclusive>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="ACLName" minOccurs="0" nillable="true">
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:String">
                            <xs:pattern value="^[a-zA-Z][^?&#x09;&#x0d;&#x0a;]{0,62}$"></xs:pattern>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="MatchVxlanID" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>MatchVxlanID</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:minInclusive value="0"></xs:minInclusive>
                            <xs:maxInclusive value="16777215"></xs:maxInclusive>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="MatchPacketLenMin" minOccurs="0" nillable="true">
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:minInclusive value="1"></xs:minInclusive>
                            <xs:maxInclusive value="65535"></xs:maxInclusive>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="MatchPacketLenMax" minOccurs="0" nillable="true">
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:minInclusive value="1"></xs:minInclusive>
                            <xs:maxInclusive value="65535"></xs:maxInclusive>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="ApplyPrecedence" minOccurs="0" nillable="true">
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:enumeration value="0"/>
                            <xs:enumeration value="1"/>     
                            <xs:enumeration value="2"/>
                            <xs:enumeration value="3"/>      
                            <xs:enumeration value="4"/>
                            <xs:enumeration value="5"/>     
                            <xs:enumeration value="6"/>
                            <xs:enumeration value="7"/>               
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="ApplyIPDF" minOccurs="0" nillable="true">
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:enumeration value="0"/>
                            <xs:enumeration value="1"/>     
                            <xs:enumeration value="2"/>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element> 
                    <xs:element name="ApplyContinue" minOccurs="0" type="base:Boolean" nillable="true">
                    </xs:element>                     
                  </xs:all>
                  <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>
        
        <xs:element name="PBRIfPolicy" minOccurs="0">
          <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="IfPolicy" minOccurs="0" maxOccurs="unbounded">
                <xs:complexType>
                  <xs:all> 
                    <xs:element name="AddressType" minOccurs="0" nillable="true">
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:enumeration value="0"/>
                            <xs:enumeration value="1"/>    
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="IfIndex" minOccurs="0" type="base:NameAndIndexUnion" nillable="true">
                    </xs:element>
                    <xs:element name="PolicyName" minOccurs="0" nillable="true">
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:String">
                            <xs:minLength value="1"></xs:minLength>
                            <xs:maxLength value="19"></xs:maxLength>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>                  
                  </xs:all>
                  <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
                </xs:complexType>
              </xs:element>
            </xs:choice>            
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>
        
         <xs:element name="PBREgressIfPolicy" minOccurs="0">
          <xs:annotation>
            <xs:documentation>PBREgressIfPolicy</xs:documentation>
          </xs:annotation>
          <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="EgressIfPolicy" minOccurs="0" maxOccurs="unbounded">
                <xs:annotation>
                  <xs:documentation>Row Name</xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:all> 
                    <xs:element name="AddressType" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>
                          AddressType
                          0: ipv4
                          1: ipv6
                        </xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:enumeration value="0"/>
                            <xs:enumeration value="1"/>     
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="IfIndex" minOccurs="0" type="base:NameAndIndexUnion" nillable="true">
                      <xs:annotation>
                        <xs:documentation>Interface Index</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="PolicyName" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>PolicyName</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:String">
                            <xs:minLength value="1"></xs:minLength>
                            <xs:maxLength value="19"></xs:maxLength>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>                  
                  </xs:all> 
                  <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>            
                </xs:complexType>
              </xs:element>
            </xs:choice>            
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>

        <xs:element name="PBRVlanInterfacesPolicy" minOccurs="0">
          <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="VlanInterfacesPolicy" minOccurs="0" maxOccurs="unbounded">
                <xs:complexType>
                  <xs:all>
                    <xs:element name="AddressType" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>
                          AddressType
                          0: ipv4
                          1: ipv6
                        </xs:documentation>
                      </xs:annotation>
                       <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:enumeration value="0"/>
                            <xs:enumeration value="1"/>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="PolicyName" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>PolicyName</xs:documentation>
                      </xs:annotation>
                       <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:String">
                            <xs:minLength value="1"></xs:minLength>
                            <xs:maxLength value="19"></xs:maxLength>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="VlanInterfaceNumberList" minOccurs="0" nillable="true"  type="base:VlanRange">
                      <xs:annotation>
                        <xs:documentation>VLAN interface number list</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                  </xs:all>
                  <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
                </xs:complexType>
              </xs:element>
             </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>	

        <xs:element name="PBRApplyNexthop" minOccurs="0">
          <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="ApplyNexthop" minOccurs="0" maxOccurs="unbounded">
                <xs:complexType>
                  <xs:all>
                    <xs:element name="AddressType" minOccurs="0" nillable="true">
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:enumeration value="0"/>
                            <xs:enumeration value="1"/>    
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="PolicyName" minOccurs="0" nillable="true">
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:String">
                            <xs:minLength value="1"></xs:minLength>
                            <xs:maxLength value="19"></xs:maxLength>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="NodeID" minOccurs="0" nillable="true">
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:minInclusive value="0"></xs:minInclusive>
                            <xs:maxInclusive value="65535"></xs:maxInclusive>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="Mode" minOccurs="0" nillable="true">
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:enumeration value="0"/>
                            <xs:enumeration value="1"/>    
                            <xs:enumeration value="2"/>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="VrfIndex" minOccurs="0" type="base:NameAndIndexUnion" nillable="true">
                    </xs:element>                              
                    <xs:element name="IpAddress" minOccurs="0" type="base:IpAddress" nillable="true">                   
                    </xs:element>  
                    <xs:element name="Priority" minOccurs="0" type="base:UnsignedInteger32" nillable="true">                  
                    </xs:element> 
                    <xs:element name="TrackID" minOccurs="0" nillable="true">
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:minInclusive value="1"></xs:minInclusive>
                            <xs:maxInclusive value="1024"></xs:maxInclusive>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="NexthopDirect" minOccurs="0" type="base:Boolean" nillable="true">                   
                    </xs:element>                    
                  </xs:all>
                  <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>
        
        <xs:element name="PBRApplyOutInterface" minOccurs="0">
          <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="ApplyOutInterface" minOccurs="0" maxOccurs="unbounded">
                <xs:complexType>
                  <xs:all>
                   <xs:element name="AddressType" minOccurs="0" nillable="true">
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:enumeration value="0"/>
                            <xs:enumeration value="1"/>    
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="PolicyName" minOccurs="0" nillable="true">
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:String">
                            <xs:minLength value="1"></xs:minLength>
                            <xs:maxLength value="19"></xs:maxLength>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="NodeID" minOccurs="0" nillable="true">
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:minInclusive value="0"></xs:minInclusive>
                            <xs:maxInclusive value="65535"></xs:maxInclusive>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="Mode" minOccurs="0" nillable="true">
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:enumeration value="0"/>
                            <xs:enumeration value="1"/>    
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>  
                    </xs:element>
                    <xs:element name="IfIndex" minOccurs="0" type="base:NameAndIndexUnion" nillable="true">
                    </xs:element>
                    <xs:element name="Priority" minOccurs="0" type="base:UnsignedInteger32" nillable="true">                   
                    </xs:element>                     
                    <xs:element name="TrackID" minOccurs="0" nillable="true">
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:minInclusive value="1"></xs:minInclusive>
                            <xs:maxInclusive value="1024"></xs:maxInclusive>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>                                        
                   </xs:all>
                  <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
                </xs:complexType>
              </xs:element>
              </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>

        <xs:element name="PBRApplyAccessVPN" minOccurs="0">
          <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="ApplyAccessVPN" minOccurs="0" maxOccurs="unbounded">
                <xs:complexType>
                  <xs:all>
                   <xs:element name="AddressType" minOccurs="0" nillable="true">
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:enumeration value="0"/>
                            <xs:enumeration value="1"/>    
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="PolicyName" minOccurs="0" nillable="true">
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:String">
                            <xs:minLength value="1"></xs:minLength>
                            <xs:maxLength value="19"></xs:maxLength>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="NodeID" minOccurs="0"  nillable="true">
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:minInclusive value="0"></xs:minInclusive>
                            <xs:maxInclusive value="65535"></xs:maxInclusive>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="VrfIndex" minOccurs="0" type="base:NameAndIndexUnion" nillable="true">
                    </xs:element>
                    <xs:element name="Priority" minOccurs="0" type="base:UnsignedInteger32" nillable="true">                   
                    </xs:element> 
                  </xs:all>
                  <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
                </xs:complexType>
              </xs:element>
              </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>
        
        <xs:element name="PBRLocalPolicy" minOccurs="0">
            <xs:complexType>                        
              <xs:all>
                <xs:element name="Ipv4PolicyName" minOccurs="0" nillable="true">
                    <xs:complexType>
                    <xs:simpleContent>
                      <xs:restriction base="base:String">
                        <xs:minLength value="1"></xs:minLength>
                        <xs:maxLength value="19"></xs:maxLength>
                      </xs:restriction>
                    </xs:simpleContent>
                    </xs:complexType>
                </xs:element>  
                <xs:element name="Ipv6PolicyName" minOccurs="0" nillable="true">
                    <xs:complexType>
                    <xs:simpleContent>
                      <xs:restriction base="base:String">
                        <xs:minLength value="1"></xs:minLength>
                        <xs:maxLength value="19"></xs:maxLength>
                      </xs:restriction>
                    </xs:simpleContent>
                    </xs:complexType>
                </xs:element>                                                       
               </xs:all>
              <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
            </xs:complexType>                         
        </xs:element>
        
        <xs:element name="PBRSpecification" minOccurs="0">
            <xs:complexType>                        
              <xs:all>            
                <xs:element name="SupportInboundVPNIpv4" minOccurs="0" type="base:Boolean" nillable="true">
                </xs:element>
                <xs:element name="SupportOnlyNull0Ipv4" minOccurs="0" type="base:Boolean" nillable="true">
                </xs:element>
                <xs:element name="SupportIPDFIpv4" minOccurs="0" type="base:Boolean" nillable="true">
                </xs:element>
                <xs:element name="SupportPacketLenIpv4" minOccurs="0" type="base:Boolean" nillable="true">
                </xs:element>
                <xs:element name="SupportPrecedenceIpv4" minOccurs="0" type="base:Boolean" nillable="true">
                </xs:element>
                <xs:element name="SupportContinueIpv4" minOccurs="0" type="base:Boolean" nillable="true">
                </xs:element>
                <xs:element name="SupportNextHopIpv4" minOccurs="0" type="base:Boolean" nillable="true">
                </xs:element>
                <xs:element name="SupportDefNextHopIpv4" minOccurs="0" type="base:Boolean" nillable="true">
                </xs:element>
                <xs:element name="SupportInterfaceIpv4" minOccurs="0" type="base:Boolean" nillable="true">
                </xs:element>
                <xs:element name="SupportDefInterfaceIpv4" minOccurs="0" type="base:Boolean" nillable="true">
                </xs:element>
                <xs:element name="SupportAccessVPNIpv4" minOccurs="0" type="base:Boolean" nillable="true">
                </xs:element>
                <xs:element name="SupportInboundVPNIpv6" minOccurs="0" type="base:Boolean" nillable="true">
                </xs:element>
                <xs:element name="SupportOnlyNull0Ipv6" minOccurs="0" type="base:Boolean" nillable="true">
                </xs:element>
                <xs:element name="SupportPacketLenIpv6" minOccurs="0" type="base:Boolean" nillable="true">
                </xs:element>
                <xs:element name="SupportPrecedenceIpv6" minOccurs="0" type="base:Boolean" nillable="true">
                </xs:element>
                <xs:element name="SupportContinueIpv6" minOccurs="0" type="base:Boolean" nillable="true">
                </xs:element>
                <xs:element name="SupportNextHopIpv6" minOccurs="0" type="base:Boolean" nillable="true">
                </xs:element>
                <xs:element name="SupportDefNextHopIpv6" minOccurs="0" type="base:Boolean" nillable="true">
                </xs:element>
                <xs:element name="SupportInterfaceIpv6" minOccurs="0" type="base:Boolean" nillable="true">
                </xs:element>
                <xs:element name="SupportDefInterfaceIpv6" minOccurs="0" type="base:Boolean" nillable="true">
                </xs:element>
                <xs:element name="SupportAccessVPNIpv6" minOccurs="0" type="base:Boolean" nillable="true">
                </xs:element>                
                <xs:element name="MaxNodeIDIpv4" minOccurs="0"  nillable="true">
                  <xs:complexType>
                    <xs:simpleContent>
                      <xs:restriction base="base:UnsignedInteger32">
                        <xs:minInclusive value="0"></xs:minInclusive>
                            <xs:maxInclusive value="65535"></xs:maxInclusive>
                        </xs:restriction>
                      </xs:simpleContent>
                    </xs:complexType>
                  </xs:element>                
                  <xs:element name="MaxNodeIDIpv6" minOccurs="0" nillable="true">
                    <xs:complexType>
                      <xs:simpleContent>
                        <xs:restriction base="base:UnsignedInteger32">
                          <xs:minInclusive value="0"></xs:minInclusive>
                          <xs:maxInclusive value="65535"></xs:maxInclusive>
                        </xs:restriction>
                      </xs:simpleContent>
                    </xs:complexType>                    
                  </xs:element>
                  <xs:element name="MaxNextHopIpv4" minOccurs="0" type="base:UnsignedInteger32" nillable="true">
                  </xs:element>
                  <xs:element name="MaxInterfaceIpv4" minOccurs="0" type="base:UnsignedInteger32" nillable="true">
                  </xs:element>
                  <xs:element name="MaxAccessVPNIpv4" minOccurs="0" type="base:UnsignedInteger32" nillable="true">
                  </xs:element>
                <xs:element name="MaxNextHopIpv6" minOccurs="0" type="base:UnsignedInteger32" nillable="true">
                </xs:element>
                <xs:element name="MaxInterfaceIpv6" minOccurs="0" type="base:UnsignedInteger32" nillable="true">
                </xs:element>
                <xs:element name="MaxAccessVPNIpv6" minOccurs="0" type="base:UnsignedInteger32" nillable="true">
                </xs:element>
               <xs:element name="SupportAppGroupIpv4" minOccurs="0" type="base:Boolean" nillable="true">
                </xs:element>
		<xs:element name="SupportObjectGroupIpv4" minOccurs="0" type="base:Boolean" nillable="true">
                </xs:element>
                <xs:element name="MaxAppGroupIpv4" minOccurs="0" type="base:UnsignedInteger32" nillable="true">
                </xs:element>
                <xs:element name="MaxObjectGroupIpv4" minOccurs="0" type="base:UnsignedInteger32" nillable="true">
                </xs:element>
               </xs:all>
              <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
            </xs:complexType>   
        </xs:element>

        <xs:element name="PBRApplicationGroup" minOccurs="0">
          <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="ApplicationGroup" minOccurs="0" maxOccurs="unbounded">
                <xs:complexType>
                  <xs:all>
                   <xs:element name="AddressType" minOccurs="0" nillable="true">
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:enumeration value="0"/>
                            <xs:enumeration value="1"/>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="PolicyName" minOccurs="0" nillable="true">
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:String">
                            <xs:minLength value="1"></xs:minLength>
                            <xs:maxLength value="19"></xs:maxLength>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="NodeID" minOccurs="0"  nillable="true">
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:minInclusive value="0"></xs:minInclusive>
                            <xs:maxInclusive value="65535"></xs:maxInclusive>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="AppGroupName" minOccurs="0" nillable="true">
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:String">
                            <xs:pattern value="^([a-zA-Z0-9]|_|-){0,}$"></xs:pattern>
                            <xs:minLength value="1"></xs:minLength>
                            <xs:maxLength value="63"></xs:maxLength>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="Priority" minOccurs="0" type="base:UnsignedInteger32" nillable="true">
                    </xs:element>
                  </xs:all>
                  <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
                </xs:complexType>
              </xs:element>
              </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>
        
        <xs:element name="PBRObjectGroup" minOccurs="0">
          <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="ObjectGroup" minOccurs="0" maxOccurs="unbounded">
                <xs:complexType>
                  <xs:all>
                   <xs:element name="AddressType" minOccurs="0" nillable="true">
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:enumeration value="0"/>
                            <xs:enumeration value="1"/>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="PolicyName" minOccurs="0" nillable="true">
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:String">
                            <xs:minLength value="1"></xs:minLength>
                            <xs:maxLength value="19"></xs:maxLength>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="NodeID" minOccurs="0"  nillable="true">
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:minInclusive value="0"></xs:minInclusive>
                            <xs:maxInclusive value="65535"></xs:maxInclusive>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="ObjectGroupName" minOccurs="0" nillable="true">
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:String">
                            <xs:minLength value="1"></xs:minLength>
                            <xs:maxLength value="31"></xs:maxLength>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="Priority" minOccurs="0" type="base:UnsignedInteger32" nillable="true">
                    </xs:element>
                  </xs:all>
                  <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
                </xs:complexType>
              </xs:element>
              </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>
        
        <xs:element name="PBRMatchServiceChain" minOccurs="0">
          <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="MatchServiceChain" minOccurs="0" maxOccurs="unbounded">
                <xs:complexType>
                  <xs:all>
                    <xs:element name="AddressType" minOccurs="0" nillable="true">
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:enumeration value="0"/>
                            <xs:enumeration value="1"/>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="PolicyName" minOccurs="0" nillable="true">
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:String">
                            <xs:minLength value="1"></xs:minLength>
                            <xs:maxLength value="19"></xs:maxLength>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="NodeID" minOccurs="0" nillable="true">
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:minInclusive value="0"></xs:minInclusive>
                            <xs:maxInclusive value="65535"></xs:maxInclusive>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="PathID" minOccurs="0" nillable="true">
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:minInclusive value="1"></xs:minInclusive>
                            <xs:maxInclusive value="16777215"></xs:maxInclusive>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="PathIndex" minOccurs="0" nillable="true">
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:minInclusive value="1"></xs:minInclusive>
                            <xs:maxInclusive value="255"></xs:maxInclusive>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="Priority" minOccurs="0" nillable="true">
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:minInclusive value="0"></xs:minInclusive>
                            <xs:maxInclusive value="65535"></xs:maxInclusive>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                  </xs:all>
                  <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
                </xs:complexType>
              </xs:element>
              </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>
        
        <xs:element name="PBRApplyServiceChain" minOccurs="0">
          <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="ApplyServiceChain" minOccurs="0" maxOccurs="unbounded">
                <xs:complexType>
                  <xs:all>
                    <xs:element name="AddressType" minOccurs="0" nillable="true">
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:enumeration value="0"/>
                            <xs:enumeration value="1"/>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="PolicyName" minOccurs="0" nillable="true">
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:String">
                            <xs:minLength value="1"></xs:minLength>
                            <xs:maxLength value="19"></xs:maxLength>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="NodeID" minOccurs="0" nillable="true">
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:minInclusive value="0"></xs:minInclusive>
                            <xs:maxInclusive value="65535"></xs:maxInclusive>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="PathID" minOccurs="0" nillable="true">
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:minInclusive value="1"></xs:minInclusive>
                            <xs:maxInclusive value="16777215"></xs:maxInclusive>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="PathIndex" minOccurs="0" nillable="true">
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:minInclusive value="1"></xs:minInclusive>
                            <xs:maxInclusive value="255"></xs:maxInclusive>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                  </xs:all>
                  <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
                </xs:complexType>
              </xs:element>
              </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>
        
      </xs:choice>
      <xs:attributeGroup ref="base:NodeAttributeGroup"></xs:attributeGroup>
    </xs:complexType>                            
  </xs:element>
</xs:schema>
